package nl.kallestruik.dchat.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

import java.nio.charset.StandardCharsets;
import java.util.Arrays;

public class CommandEmojitest implements CommandExecutor {
    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if (args.length < 2)
            return false;

        try {
            for (int i = Integer.parseInt(args[0]); i < Integer.parseInt(args[1]); i++) {
                for (int j = 0; j < 16; j++) {
                    StringBuilder line = new StringBuilder("0xE" + Integer.toString(i, 16) + Integer.toString(j, 16) + "0 ");
                    for (int k = 0; k < 16; k++) {
                        byte[] bytes = new byte[2];
                        bytes[0] = (byte) (0xE0 + i);
                        bytes[1] = (byte) (j * 16 + k);
                        try {
                            line.append(new String(bytes, StandardCharsets.UTF_16));
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                    }
                    sender.sendMessage(line.toString());
                }
            }
        } catch (NumberFormatException e) {
            e.printStackTrace();
        }
        return true;
    }
}
