package nl.kallestruik.dchat.gson;

import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import net.kyori.adventure.text.format.TextColor;

import java.io.IOException;

public class TextColorTypeAdapter extends TypeAdapter<TextColor> {
    @Override
    public void write(JsonWriter out, TextColor value) throws IOException {
        out.value(value.value());
    }

    @Override
    public TextColor read(JsonReader in) throws IOException {
        return TextColor.color(in.nextInt());
    }
}
