package nl.kallestruik.dchat.listeners;

import nl.kallestruik.dchat.Config;
import nl.kallestruik.dchat.DChat;
import nl.kallestruik.dchat.managers.PlayerDataManager;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

public class JoinListener implements Listener {

    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        Player player = event.getPlayer();

        player.setResourcePack(Config.RESOURCE_PACK_URL_BASE + "pack.zip", DChat.packHash);

        PlayerDataManager.loadPlayerData(player.getUniqueId());
    }
}
